<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-food-variant"></i>
    </span>
    Pedidos de Mañana
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item"><a routerLink="/order/all">Pedidos</a></li>
      <li class="breadcrumb-item active" aria-current="page">Mañana</li>
    </ol>
  </nav>
</div>
<!-- Inicio de table -->
<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="card-title mb-sm-0">Listado de pedidos</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Nombre cliente</th>
                <!-- <th class="font-weight-bold">Fecha pedido</th> -->
                <th class="font-weight-bold">Tipo entrega</th>
                <th class="font-weight-bold">Fecha entrega</th>
                <th class="font-weight-bold">Hora entrega</th>
                <th class="font-weight-bold">Entrega</th>
                <th class="font-weight-bold">Estado</th>
                <th class="font-weight-bold">Recibido por</th>
                <th class="font-weight-bold">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of itemOrderToday">
                <td>{{ item.cliente.nombre_completo }}</td>
                <!-- <td>{{ item.fecha_pedido | date:'dd-MM-yyy'}}</td> -->
                <td>{{ item.tipo_entrega }}</td>
                <td>{{ item.fecha_entrega | date:'dd-MM-yyy'}}</td>
                <td>{{ item.hora_entrega}}</td>
                <td>
                  <div class="badge badge-success p-2" *ngIf="item.estado_entrega == 1">Realizada</div>
                  <div class="badge badge-danger p-2" *ngIf="item.estado_entrega == 0">Pendiente</div>
                </td>
                <td>
                  <div class="badge badge-danger p-2" *ngIf="item.estado_pedido_id == 1">Pendiente</div>
                  <div class="badge badge-danger p-2" *ngIf="item.estado_pedido_id == 2">Preparación</div>
                  <div class="badge badge-success p-2" *ngIf="item.estado_pedido_id == 3">Finalizado</div>
                </td>
                <td>{{ item.recibido_por}}</td>
                <td>
                  <button type="button" class="btn btn-success btn-icon" *ngIf="item.estado_entrega == 0  && item.estado_pedido_id == 3" 
                    (click)="openModalEntregar(entregarPedido); asignarPedido(item);"  placement="bottom" ngbTooltip="Entregar pedido">
                    <i class="mdi mdi-check"></i>
                  </button>
                  <button type="button" class="btn btn-danger btn-icon" *ngIf="item.estado_entrega == 1 && item.estado_pedido_id == 3"
                    (click)="cancelarEntrega(item)"  placement="bottom" ngbTooltip="Cancelar entrega">
                    <i class="mdi mdi-close"></i>
                  </button>
                  <button type="button" class="btn btn-warning btn-icon"
                    (click)="verPedido(item); openModal2(ModalDetalle)"  placement="bottom" ngbTooltip="Ver detalle">
                    <i class="mdi mdi-eye"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin de table -->

<!-- Modal ver detalle inicio -->
<ng-template class="modal fade" #ModalDetalle let-modal>
  <div class="modal-content" style="background-color: white;">
    <div class="modal-header" style="border-bottom: 0;">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="row">
        <div class="col-md-12 grid-margin stretch-card">

          <div class="card-body">
            <div class="d-sm-flex align-items-center mb-4">
              <h4 class="card-title mb-sm-0">Detalle pedido de {{datosCliente.cliente.nombre_completo}} para
                {{datosCliente.fecha_entrega | date:'dd-MM-yyy'}} </h4>
            </div>
            <div class="table-responsive border rounded p-1">
              <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped"
                style="background-color: white;">
                <thead>
                  <tr>
                    <th class="font-weight-bold">Producto</th>
                    <th class="font-weight-bold">Formato</th>
                    <th class="font-weight-bold">Unidades</th>
                    <th class="font-weight-bold">Valor</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let item of detalleOrden">
                    <td>{{ item.producto.nombre }}</td>
                    <td>{{ item.nombre }}</td>
                    <td>{{ item.formato_has_pedido.unidades}}</td>
                    <td>{{ item.valor}}</td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>

        </div>
      </div>
    </div>
    <div class="modal-footer" style="border-top: 0;">
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="modal.dismiss()">Cerrar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear rol final -->

<!-- Modal crear rol inicio -->
<ng-template class="modal fade" #entregarPedido let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">
        <div class="card-body" [formGroup]="editarEstadoPedido">
          <h4 class="card-title">Entrega de pedido</h4>
          <p class="card-description">
            Ingrese el nombre de la persona que recibe el pedido
          </p>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Nombre</label>
              <input type="text" class="form-control" id="recibido_por" placeholder="Ingrese un nombre" #recibido_por
                style="background-color:dark" formControlName="recibido_por">
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="entregarOrder(editarEstadoPedido.value, modal)"
        [disabled]="this.editarEstadoPedido.invalid">Entregar</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="modal.dismiss()">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear rol final -->
